diff --git python-raven/python-raven.spec python-raven/python-raven.spec.tmp
index 0bddae31aa..6225f73ab6 100644
--- python-raven/python-raven.spec
+++ python-raven/python-raven.spec.tmp
@@ -8,7 +8,7 @@
 Name:           python-raven
 
 Version:        6.0.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Python client for Sentry
 
 Group:          Development/Libraries
@@ -33,8 +33,6 @@ BuildRequires:  python-setuptools
 #BuildRequires:  python-requests
 #BuildRequires:  python-pytest
 
-Requires: python-contextlib2
-
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
@@ -49,12 +47,21 @@ BuildRequires:  python3-setuptools
 #BuildRequires:  python3-pytest
 %endif # with_python3
 
-%description
-Raven is a Python client for Sentry <http://getsentry.com>. It provides full
-out-of-the-box support for many of the popular frameworks, including Django,
-and Flask. Raven also includes drop-in support for any WSGI-compatible web
+%global _description\
+Raven is a Python client for Sentry <http://getsentry.com>. It provides full\
+out-of-the-box support for many of the popular frameworks, including Django,\
+and Flask. Raven also includes drop-in support for any WSGI-compatible web\
 application.
 
+%description %_description
+
+%package -n python2-raven
+Summary: %summary
+Requires: python-contextlib2
+%{?python_provide:%python_provide python2-raven}
+
+%description -n python2-raven %_description
+
 %if 0%{?with_python3}
 %package -n python3-raven
 Summary:        Python client for Sentry
@@ -106,7 +113,7 @@ popd
 #popd
 #%%endif
 
-%files
+%files -n python2-raven
 %doc README.rst
 %license LICENSE
 %{_bindir}/raven
@@ -121,6 +128,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 6.0.0-3
+- Python 2 subpackage renamed to python2-raven
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-re2/python-re2.spec python-re2/python-re2.spec.tmp
index a48a32a182..ff4bd51afa 100644
--- python-re2/python-re2.spec
+++ python-re2/python-re2.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-re2
 Version:            1.0.5
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            Python wrapper for Google's RE2 library
 
 Group:              Development/Libraries
@@ -20,16 +20,23 @@ BuildRequires:      python2-devel
 BuildRequires:      re2-devel
 BuildRequires:      python-nose
 
-Requires:           re2
+%global _description\
+python-re2 is a Python extension that wraps Google's RE2 regular expression\
+library.\
+\
+This is Facebook's pyre2 Python extension that wraps Google's RE2 regular\
+expression library. It implements many of the features of Python's built-in re\
+module with compatible interfaces.\
+
 
-%description
-python-re2 is a Python extension that wraps Google's RE2 regular expression
-library.
+%description %_description
 
-This is Facebook's pyre2 Python extension that wraps Google's RE2 regular
-expression library. It implements many of the features of Python's built-in re
-module with compatible interfaces.
+%package -n python2-re2
+Summary: %summary
+Requires:           re2
+%{?python_provide:%python_provide python2-re2}
 
+%description -n python2-re2 %_description
 
 %prep
 %setup -q -n fb-re2-%{version}
@@ -46,7 +53,7 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
 %check
 PYTHONPATH=%{buildroot}/%{python2_sitearch} %{__python2} /usr/bin/nosetests
 
-%files
+%files -n python2-re2
 %doc README.rst
 %license LICENSE
 %{python2_sitearch}/re2.py*
@@ -55,6 +62,10 @@ PYTHONPATH=%{buildroot}/%{python2_sitearch} %{__python2} /usr/bin/nosetests
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.5-4
+- Python 2 subpackage renamed to python2-re2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-recaptcha-client/python-recaptcha-client.spec python-recaptcha-client/python-recaptcha-client.spec.tmp
index 161d52576c..87224cdade 100644
--- python-recaptcha-client/python-recaptcha-client.spec
+++ python-recaptcha-client/python-recaptcha-client.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-recaptcha-client
 Version:        1.0.6
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Python module for reCAPTCHA and reCAPTCHA Mailhide
 
 Group:          Development/Languages
@@ -16,17 +16,25 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
-Requires:       python-crypto
 
-%description
-Provides a CAPTCHA for Python using the reCAPTCHA service. Does not require
-any imaging libraries because the CAPTCHA is served directly from reCAPTCHA.
-Also allows you to securely obfuscate emails with Mailhide. This functionality
-requires python-crypto. This library requires two types of API keys. If you'd
-like to use the CAPTCHA, you'll need a key from
-http://recaptcha.net/api/getkey. For Mailhide, you'll need a key from
+%global _description\
+Provides a CAPTCHA for Python using the reCAPTCHA service. Does not require\
+any imaging libraries because the CAPTCHA is served directly from reCAPTCHA.\
+Also allows you to securely obfuscate emails with Mailhide. This functionality\
+requires python-crypto. This library requires two types of API keys. If you'd\
+like to use the CAPTCHA, you'll need a key from\
+http://recaptcha.net/api/getkey. For Mailhide, you'll need a key from\
 http://mailhide.recaptcha.net/apikey.
 
+%description %_description
+
+%package -n python2-recaptcha-client
+Summary: %summary
+Requires:       python-crypto
+%{?python_provide:%python_provide python2-recaptcha-client}
+
+%description -n python2-recaptcha-client %_description
+
 %prep
 %setup -q -n recaptcha-client-%{version}
 
@@ -44,7 +52,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-recaptcha-client
 %defattr(-,root,root,-)
 %doc PKG-INFO
 %{python_sitelib}/recaptcha/
@@ -52,6 +60,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/recaptcha_client*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.6-11
+- Python 2 subpackage renamed to python2-recaptcha-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-redis/python-redis.spec python-redis/python-redis.spec.tmp
index 02c1b5a9e6..fea251e56b 100644
--- python-redis/python-redis.spec
+++ python-redis/python-redis.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{upstream_name}
 Version:        2.10.5
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Python 2 interface to the Redis key-value store
 License:        MIT
 URL:            http://github.com/andymccurdy/redis-py
@@ -18,9 +18,17 @@ BuildRequires:  python-py
 BuildRequires:  pytest
 BuildRequires:  redis
 
-%description
+%global _description\
 This is a Python 2 interface to the Redis key-value store.
 
+%description %_description
+
+%package -n python2-redis
+Summary: %summary
+%{?python_provide:%python_provide python2-redis}
+
+%description -n python2-redis %_description
+
 %if 0%{?with_python3}
 %package -n     python3-redis
 Summary:        Python 3 interface to the Redis key-value store
@@ -71,7 +79,7 @@ popd
 %{__python2} setup.py test
 kill %1
 
-%files
+%files -n python2-redis
 %doc CHANGES LICENSE README.rst
 %{python2_sitelib}/%{upstream_name}
 %{python2_sitelib}/%{upstream_name}-%{version}-py%{python2_version}.egg-info
@@ -84,6 +92,10 @@ kill %1
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.10.5-6
+- Python 2 subpackage renamed to python2-redis
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.5-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-remoto/python-remoto.spec python-remoto/python-remoto.spec.tmp
index 9b30417470..04ee4cc5a7 100644
--- python-remoto/python-remoto.spec
+++ python-remoto/python-remoto.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.0.30
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Execute remote commands or processes
 
 License:        MIT
@@ -33,10 +33,17 @@ BuildRequires:  python3-mock
 BuildRequires:  python3-setuptools
 %endif # with_python3
 
+%global _description\
+Execute remote commands or processes.
+
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
 Requires:       python-execnet >= 1.2.0
+%{?python_provide:%python_provide python2-%{pkgname}}
 
-%description
-Execute remote commands or processes.
+%description -n python2-%{pkgname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pkgname}
@@ -86,7 +93,7 @@ py.test-%{python3_version} -v remoto/tests
 popd
 %endif # with_python3
 
-%files
+%files -n python2-%{pkgname}
 %license LICENSE
 %doc README.rst
 %{python2_sitelib}/*
@@ -100,6 +107,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.30-3
+- Python 2 subpackage renamed to python2-remoto
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.30-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-lru/python-repoze-lru.spec python-repoze-lru/python-repoze-lru.spec.tmp
index 2d062be090..09f5c71f01 100644
--- python-repoze-lru/python-repoze-lru.spec
+++ python-repoze-lru/python-repoze-lru.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-repoze-lru
 Version:        0.4
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        A tiny LRU cache implementation and decorator
 
 Group:          Development/Libraries
@@ -24,11 +24,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-repoze.lru is a LRU (least recently used) cache implementation. Keys and values
-that are not used frequently will be evicted from the cache faster than keys
-and values that are used frequently.
+%global _description\
+repoze.lru is a LRU (least recently used) cache implementation. Keys and values\
+that are not used frequently will be evicted from the cache faster than keys\
+and values that are used frequently.\
+
 
+%description %_description
+
+%package -n python2-repoze-lru
+Summary: %summary
+%{?python_provide:%python_provide python2-repoze-lru}
+
+%description -n python2-repoze-lru %_description
 
 %if 0%{?with_python3}
 %package -n python3-repoze-lru
@@ -77,7 +85,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-repoze-lru
 %doc README.txt LICENSE.txt
 %{python_sitelib}/repoze/lru
 %{python_sitelib}/%{modname}-%{version}*
@@ -90,6 +98,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-15
+- Python 2 subpackage renamed to python2-repoze-lru
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-tm2/python-repoze-tm2.spec python-repoze-tm2/python-repoze-tm2.spec.tmp
index 21265fb286..78d0d8416e 100644
--- python-repoze-tm2/python-repoze-tm2.spec
+++ python-repoze-tm2/python-repoze-tm2.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-repoze-tm2
 Version:        2.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Zope-like transaction manager via WSGI middleware
 
 Group:          Development/Languages
@@ -26,14 +26,21 @@ BuildRequires: python3-nose
 BuildRequires: python3-transaction
 %endif
 
-Requires:       python-transaction
+%global _description\
+The ZODB transaction manager is a completely generic transaction manager.  It\
+can be used independently of the actual "object database" part of ZODB.  One\
+of the purposes of creating repoze.tm was to allow for systems other than\
+Zope to make use of two-phase commit transactions in a WSGI context.
+
+%description %_description
+
+%package -n python2-repoze-tm2
+Summary: %summary
 Provides: python2-repoze-tm2
+Requires:       python-transaction
+%{?python_provide:%python_provide python2-repoze-tm2}
 
-%description
-The ZODB transaction manager is a completely generic transaction manager.  It
-can be used independently of the actual "object database" part of ZODB.  One
-of the purposes of creating repoze.tm was to allow for systems other than
-Zope to make use of two-phase commit transactions in a WSGI context.
+%description -n python2-repoze-tm2 %_description
 
 %if 0%{?with_python3}
 %package -n python3-repoze-tm2
@@ -94,7 +101,7 @@ popd
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-repoze-tm2
 %defattr(-,root,root,-)
 %{!?_licensedir:%global license %%doc}
 %license LICENSE.txt
@@ -110,6 +117,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0-8
+- Python 2 subpackage renamed to python2-repoze-tm2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-what-plugins-sql/python-repoze-what-plugins-sql.spec python-repoze-what-plugins-sql/python-repoze-what-plugins-sql.spec.tmp
index 72919c7bf3..e580d103ce 100644
--- python-repoze-what-plugins-sql/python-repoze-what-plugins-sql.spec
+++ python-repoze-what-plugins-sql/python-repoze-what-plugins-sql.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-repoze-what-plugins-sql
 Version:        1.0.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        The repoze.what SQL plugin
 
 Group:          Development/Languages
@@ -18,21 +18,28 @@ BuildRequires:  python-nose python-coverage
 BuildRequires:  python-repoze-what 
 BuildRequires:  python-sqlalchemy >= 0.5
 
-Requires:       python-repoze-what >= 1.0.3
-Requires:       python-sqlalchemy >= 0.5
-Requires:       python-zope-interface
-Requires:       python-repoze-who-plugins-sa
+%global _description\
+This is an adapters and extras plugin for repoze.what.\
+\
+The SQL plugin makes repoze.what support sources defined in SQLAlchemy-managed\
+databases by providing one group adapter, one permission adapter and one\
+utility to configure both in one go (optionally, when the group source and the\
+permission source have a relationship).\
+\
+This plugin also defines repoze.what.plugins.quickstart.\
 
-%description
-This is an adapters and extras plugin for repoze.what.
 
-The SQL plugin makes repoze.what support sources defined in SQLAlchemy-managed
-databases by providing one group adapter, one permission adapter and one
-utility to configure both in one go (optionally, when the group source and the
-permission source have a relationship).
+%description %_description
 
-This plugin also defines repoze.what.plugins.quickstart.
+%package -n python2-repoze-what-plugins-sql
+Summary: %summary
+Requires:       python-repoze-who-plugins-sa
+Requires:       python-zope-interface
+Requires:       python-sqlalchemy >= 0.5
+Requires:       python-repoze-what >= 1.0.3
+%{?python_provide:%python_provide python2-repoze-what-plugins-sql}
 
+%description -n python2-repoze-what-plugins-sql %_description
 
 %prep
 %setup -q -n repoze.what.plugins.sql-%{version}
@@ -55,13 +62,17 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-repoze-what-plugins-sql
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-14
+- Python 2 subpackage renamed to python2-repoze-what-plugins-sql
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-what-pylons/python-repoze-what-pylons.spec python-repoze-what-pylons/python-repoze-what-pylons.spec.tmp
index a7a734699f..dc50eaf48d 100644
--- python-repoze-what-pylons/python-repoze-what-pylons.spec
+++ python-repoze-what-pylons/python-repoze-what-pylons.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-repoze-what-pylons
 Version:	1.0
-Release:	17%{?dist}
+Release:	18%{?dist}
 Summary:	A plugin providing utilities for Pylons applications using repoze.what
 Group:		Development/Languages
 License:	BSD
@@ -12,20 +12,28 @@ Patch0:		%{name}-setuptools.patch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:	noarch
 BuildRequires:	python-devel, python-setuptools
-Requires:	python-repoze-what >= 1.0.4
-Requires:	python-pylons >= 0.9.7
-Requires:	python-decorator >= 3.0
 
-%description
-This plugin provides optional and handy utilities for Pylons applications 
-using repoze.what. Some of the features of the plugin include:
-* The utilities are ready to use: There’s nothing additional to be configured 
-  before using.
-* 100% documented. Each component is documented along with code samples.
-* The test suite has a coverage of 100% and it will never decrease – if it 
-  ever does, report it as a bug!
+%global _description\
+This plugin provides optional and handy utilities for Pylons applications\
+using repoze.what. Some of the features of the plugin include:\
+* The utilities are ready to use: There’s nothing additional to be configured\
+  before using.\
+* 100% documented. Each component is documented along with code samples.\
+* The test suite has a coverage of 100% and it will never decrease – if it\
+  ever does, report it as a bug!\
 * TurboGears 2 is officially supported as well.
 
+%description %_description
+
+%package -n python2-repoze-what-pylons
+Summary: %summary
+Requires:	python-decorator >= 3.0
+Requires:	python-pylons >= 0.9.7
+Requires:	python-repoze-what >= 1.0.4
+%{?python_provide:%python_provide python2-repoze-what-pylons}
+
+%description -n python2-repoze-what-pylons %_description
+
 %prep
 %setup -q -n repoze.what-pylons-%{version}
 %patch0 -p0 -b .setuptools
@@ -44,12 +52,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-repoze-what-pylons
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-18
+- Python 2 subpackage renamed to python2-repoze-what-pylons
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-what/python-repoze-what.spec python-repoze-what/python-repoze-what.spec.tmp
index bc9d023cca..3345a1bb75 100644
--- python-repoze-what/python-repoze-what.spec
+++ python-repoze-what/python-repoze-what.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-repoze-what
 Version:        1.0.9
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Authorization for WSGI applications
 
 Group:          Development/Languages
@@ -23,28 +23,35 @@ BuildRequires:  python-nose python-zope-interface python-repoze-who
 BuildRequires:  python-repoze-who-testutil
 BuildRequires:  python-coverage
 
-Requires:       python-repoze-who
-Requires:       python-repoze-who-testutil
-Requires:       python-paste
-
-%description
-`repoze.what` is an `authorization framework` for WSGI applications,
-based on `repoze.who` (which deals with `authentication`).
+%global _description\
+`repoze.what` is an `authorization framework` for WSGI applications,\
+based on `repoze.who` (which deals with `authentication`).\
+\
+On the one hand, it enables an authorization system based on the groups to\
+which the `authenticated or anonymous` user belongs and the permissions granted\
+to such groups by loading these groups and permissions into the request on the\
+way in to the downstream WSGI application.\
+\
+And on the other hand, it enables you to manage your groups and permissions\
+from the application itself or another program, under a backend-independent\
+API. For example, it would be easy for you to switch from one back-end to\
+another, and even use this framework to migrate the data.\
+\
+It's highly extensible, so it's very unlikely that it will get in your way.\
+Among other things, you can extend it to check for many other conditions (such\
+as checking that the user comes from a given country, based on her IP address,\
+for example).
 
-On the one hand, it enables an authorization system based on the groups to
-which the `authenticated or anonymous` user belongs and the permissions granted
-to such groups by loading these groups and permissions into the request on the
-way in to the downstream WSGI application.
+%description %_description
 
-And on the other hand, it enables you to manage your groups and permissions
-from the application itself or another program, under a backend-independent
-API. For example, it would be easy for you to switch from one back-end to
-another, and even use this framework to migrate the data.
+%package -n python2-repoze-what
+Summary: %summary
+Requires:       python-paste
+Requires:       python-repoze-who-testutil
+Requires:       python-repoze-who
+%{?python_provide:%python_provide python2-repoze-what}
 
-It's highly extensible, so it's very unlikely that it will get in your way.
-Among other things, you can extend it to check for many other conditions (such
-as checking that the user comes from a given country, based on her IP address,
-for example).
+%description -n python2-repoze-what %_description
 
 %package docs
 Summary: Documentation for repoze.what
@@ -75,7 +82,7 @@ make -C docs html
 # Causing package to be FTBFS since F-19!
 # PYTHONPATH=`pwd` nosetests
 
-%files
+%files -n python2-repoze-what
 %doc README.txt
 %{python_sitelib}/
 
@@ -84,6 +91,10 @@ make -C docs html
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.9-16
+- Python 2 subpackage renamed to python2-repoze-what
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-what-quickstart/python-repoze-what-quickstart.spec python-repoze-what-quickstart/python-repoze-what-quickstart.spec.tmp
index 58721cf27c..c31122c923 100644
--- python-repoze-what-quickstart/python-repoze-what-quickstart.spec
+++ python-repoze-what-quickstart/python-repoze-what-quickstart.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-repoze-what-quickstart
 Version:	1.0.9
-Release:	12%{?dist}
+Release:	13%{?dist}
 Summary:	A plugin for a simple authentication system with repoze.who/what
 Group:		Development/Languages
 License:	BSD
@@ -13,20 +13,28 @@ BuildArch:	noarch
 BuildRequires:	python-devel, python-setuptools
 BuildRequires:	python-repoze-what >= 1.0.3, python-repoze-who, python-repoze-who-plugins-sa
 BuildRequires:	python-repoze-what-plugins-sql, python-nose, python-coverage
-Requires:	python-repoze-what >= 1.0.3
-Requires:	python-repoze-who, python-repoze-who-plugins-sa, python-repoze-what-plugins-sql
-Requires:	python-repoze-who-friendlyform
 
-%description
-This plugin allows you to take advantage of a rather simple, and usual, 
-authentication and authorization setup, in which the users’ data, the groups 
-and the permissions used in the application are all stored in a SQLAlchemy 
-or Elixir-managed database.
-
-Put simply, it configures repoze.who and repoze.what in one go so that you 
-can have an authentication and authorization system working quickly – hence 
+%global _description\
+This plugin allows you to take advantage of a rather simple, and usual,\
+authentication and authorization setup, in which the users’ data, the groups\
+and the permissions used in the application are all stored in a SQLAlchemy\
+or Elixir-managed database.\
+\
+Put simply, it configures repoze.who and repoze.what in one go so that you\
+can have an authentication and authorization system working quickly – hence\
 the name.
 
+%description %_description
+
+%package -n python2-repoze-what-quickstart
+Summary: %summary
+Requires:	python-repoze-who-friendlyform
+Requires:	python-repoze-who, python-repoze-who-plugins-sa, python-repoze-what-plugins-sql
+Requires:	python-repoze-what >= 1.0.3
+%{?python_provide:%python_provide python2-repoze-what-quickstart}
+
+%description -n python2-repoze-what-quickstart %_description
+
 %prep
 %setup -q -n repoze.what-quickstart-%{version}
 
@@ -44,7 +52,7 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-repoze-what-quickstart
 %defattr(-,root,root,-)
 %doc README.txt
 # Need to own this dir, nothing else in our dep chain does
@@ -52,6 +60,10 @@ rm -rf %{buildroot}
 %{python_sitelib}/repoze.what_quickstart*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.9-13
+- Python 2 subpackage renamed to python2-repoze-what-quickstart
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-who-friendlyform/python-repoze-who-friendlyform.spec python-repoze-who-friendlyform/python-repoze-who-friendlyform.spec.tmp
index 2546ca5325..ea3e8145be 100644
--- python-repoze-who-friendlyform/python-repoze-who-friendlyform.spec
+++ python-repoze-who-friendlyform/python-repoze-who-friendlyform.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-repoze-who-friendlyform
 Version:	1.0.8
-Release:	13%{?dist}
+Release:	14%{?dist}
 Summary:	Collection of repoze.who friendly form plugins
 Group:		Development/Languages
 License:	BSD
@@ -14,13 +14,21 @@ BuildArch:	noarch
 BuildRequires:	python-devel, python-setuptools
 # Test suite requirements
 BuildRequires:	python-zope-interface, python-repoze-who, python-nose, python-coverage
-Requires:	python-repoze-who >= 1.0
-Requires:	python-zope-interface
 
-%description
-repoze.who-friendlyform is a repoze.who plugin which provides a collection of 
+%global _description\
+repoze.who-friendlyform is a repoze.who plugin which provides a collection of\
 developer-friendly form plugins.
 
+%description %_description
+
+%package -n python2-repoze-who-friendlyform
+Summary: %summary
+Requires:	python-zope-interface
+Requires:	python-repoze-who >= 1.0
+%{?python_provide:%python_provide python2-repoze-who-friendlyform}
+
+%description -n python2-repoze-who-friendlyform %_description
+
 %prep
 %setup -q -n repoze.who-friendlyform-%{version}
 %patch0 -p0 -b .setuptools
@@ -39,12 +47,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-repoze-who-friendlyform
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.8-14
+- Python 2 subpackage renamed to python2-repoze-who-friendlyform
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-repoze-who-plugins-sa/python-repoze-who-plugins-sa.spec python-repoze-who-plugins-sa/python-repoze-who-plugins-sa.spec.tmp
index b0a0575ac7..42664bb113 100644
--- python-repoze-who-plugins-sa/python-repoze-who-plugins-sa.spec
+++ python-repoze-who-plugins-sa/python-repoze-who-plugins-sa.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-repoze-who-plugins-sa
 Version:        1.0.1
-Release:        15.20160106gite1a36c5%{?dist}
+Release:        16.20160106gite1a36c5%{?dist}
 Summary:        repoze.who SQLAlchemy plugin
 
 Group:          Development/Languages
@@ -42,15 +42,21 @@ BuildRequires: python3-coverage
 BuildRequires: python3-nose
 %endif
 
-Requires:       python-repoze-who
-Requires:       python-sqlalchemy
+%global _description\
+This plugin provides one repoze.who authenticator which works with SQLAlchemy\
+or Elixir-based models.\
 
-Provides: python2-repoze-who-plugins-sa
 
-%description
-This plugin provides one repoze.who authenticator which works with SQLAlchemy
-or Elixir-based models.
+%description %_description
 
+%package -n python2-repoze-who-plugins-sa
+Summary: %summary
+Provides: python2-repoze-who-plugins-sa
+Requires:       python-sqlalchemy
+Requires:       python-repoze-who
+%{?python_provide:%python_provide python2-repoze-who-plugins-sa}
+
+%description -n python2-repoze-who-plugins-sa %_description
 
 %if 0%{?with_python3}
 %package -n python3-repoze-who-plugins-sa
@@ -110,7 +116,7 @@ popd
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-repoze-who-plugins-sa
 %defattr(-,root,root,-)
 %doc README.txt
 %{python2_sitelib}/*
@@ -123,6 +129,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-16.20160106gite1a36c5
+- Python 2 subpackage renamed to python2-repoze-who-plugins-sa
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-15.20160106gite1a36c5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
